Results 1 to 16 of 16

Thread: Please include Xorg 1.11 support!

  1. #1
    Bit Poster
    Join Date
    Oct 2011
    Posts
    3

    Default Please include Xorg 1.11 support!

    Hi,

    not so much a question but a request: please also include Xorg 1.11 binaries in prltools (currently 1.10 is the highest supported version) or alternatively please release the source code so users who know what they do can compile them themselves.

    In the past I had to hack the kernel modules to make them work with 2.6.38 and (what was even worse, because severely incompatible) 2.6.39, but I can't do this for Xorg libraries as well, lacking the source.

    Best regards,


    Mihai



  2. #2
    Bit Poster
    Join Date
    Sep 2011
    Posts
    5

    Default

    Yes, After I've upgrade my xorg from 1.10 to 1.11, the parallels tools can not be installed based on this version of xorg.



  3. #3
    Mega Poster
    Join Date
    May 2011
    Posts
    119

    Default

    FYI: The latest Parallels 7 update - 7.0.15050 includes support for Xorg 1.11.



  4. #4
    Bit Poster
    Join Date
    Sep 2011
    Posts
    5

    Default

    great to hear!



  5. #5

    Default

    i just updated xserver in ubuntu 12.04 .... now i can't see any gui / xserver running ....

    *p/s: back in action after reset the xserver by doing : sudo dpkg-reconfigure -phigh xserver-xorg
    Last edited by mohdf; Jan 24, 2012 at 09:14 AM.



  6. #6

    Default

    get this from Xorg.0.log

    [ 24.176] (II) config/udev: Adding input device ImExPS/2 Generic Explorer Mouse (/dev/input/event3)
    [ 24.176] (**) ImExPS/2 Generic Explorer Mouse: Applying InputClass "evdev pointer catchall"
    [ 24.176] (**) ImExPS/2 Generic Explorer Mouse: Applying InputClass "prlmouse"
    [ 24.176] (II) LoadModule: "prlmouse"
    [ 24.176] (II) Loading /usr/lib/xorg/modules/input/prlmouse_drv.so
    [ 24.180] (II) Module prlmouse: vendor="Parallels Inc."
    [ 24.180] compiled for 1.11.0, module version = 1.3.0
    [ 24.180] Module class: X.Org XInput Driver
    [ 24.180] ABI class: X.Org XInput driver, version 13.0
    [ 24.180] (EE) module ABI major version (13) doesn't match the server's version (16)
    [ 24.180] (II) UnloadModule: "prlmouse"
    [ 24.180] (II) Unloading prlmouse
    [ 24.180] (EE) Failed to load module "prlmouse" (module requirement mismatch, 0)
    [ 24.180] (EE) No input driver matching `prlmouse'
    [ 24.181] (II) config/udev: Adding input device ImExPS/2 Generic Explorer Mouse (/dev/input/mouse0)
    [ 24.181] (II) No input driver specified, ignoring this device.
    [ 24.181] (II) This device may have been added with another device file.
    [ 25.660] (II) PRLVIDEO: Use HardWare cursor.
    [ 25.660] (EE) PRLVIDEO: Could not show Hardware cursor: result - 0x00000000, status - 0xF000001C.
    [ 27.324] (II) PRLCONTROL: GL PBuffer(this=0x22724a18, host_pbuf=00000001, glxId=C00001, drawId=43, GLXDrawablePtr=0x22724900, DrawablePtr=0x2252acf8, tex_fmt=20DA, tex_tgt=20DD) created
    [ 27.381] (II) PRLCONTROL: GL PBuffer(this=0x22724a18, host_pbuf=1 tex_tgt=20DD) destroyed

    my Xserver version:

    fenris@macbuntu:~$ apt-cache policy xserver-xorg-core
    xserver-xorg-core:
    Installed: 2:1.11.3-0ubuntu8
    Candidate: 2:1.11.3-0ubuntu8
    Version table:
    *** 2:1.11.3-0ubuntu8 0
    500 http://us.archive.ubuntu.com/ubuntu/ precise/main i386 Packages
    100 /var/lib/dpkg/status

    hopefully Parallels can come out with the latest version / patch for paralles tools A.S.A.P
    Last edited by mohdf; Jan 25, 2012 at 01:52 PM.



  7. #7

    Default

    fenris@macbuntu:~/Downloads/Parallels Tools/tools/xorg.1.11/x-server/modules/input$ md5sum prlmouse_drv.so
    6cb4bcc391a1a1db7a86919ef00b8530 prlmouse_drv.so

    fenris@macbuntu:~/Downloads/Parallels Tools/tools/xorg.1.11/x-server/modules/input$ md5sum /usr/lib/xorg/modules/input/prlmouse_drv.so
    6cb4bcc391a1a1db7a86919ef00b8530 /usr/lib/xorg/modules/input/prlmouse_drv.so



  8. #8

    Default

    bump ....

    any Parallels moderator , developer , engineer want to comment on this issues ?



  9. #9

    Default

    Agreed, issue with Ubuntu 12.04 Precise
    Attached Images Attached Images



  10. #10

    Default

    Anyone find a solution to this?



  11. #11
    Kilo Poster
    Join Date
    Jan 2011
    Posts
    11

    Default

    +1

    mouse pointer disappeared after installing parallels tools on Ubuntu 12.04 :(

    (EE) module ABI major version (13) doesn't match the server's version (16)
    (EE) failed to load module "prlmouse
    "



  12. #12
    Parallels Developers serv's Avatar
    Join Date
    Apr 2006
    Posts
    726

    Default

    Ubuntu 12.04 includes Xorg 1.11.3 which is just a maintenance update, yet it changes driver ABIs. Parallels Desktop 7 tools installer selects appropriate Xorg drivers based on Major.Minor versions, and knows nothing about 1.11.3 quirk.
    As far as I can tell Xorg 1.11.3 that is included in 12.04 now has different ABI versions than even stock Xorg 1.11.3.
    Moreover Ubuntu 12.04 is still in alpha, this means it may (and most probably will) change before release.
    Parallels will support 12.04 when it settles down. This is the joy of non-existent binary compatibility that is typical to Linux world.



  13. #13

    Default

    That makes sense serv. Thanks for the update.



  14. #14
    Kilo Poster
    Join Date
    Jan 2011
    Posts
    11

    Default

    Quote Originally Posted by serv View Post
    Ubuntu 12.04 includes Xorg 1.11.3 which is just a maintenance update, yet it changes driver ABIs. Parallels Desktop 7 tools installer selects appropriate Xorg drivers based on Major.Minor versions, and knows nothing about 1.11.3 quirk.
    As far as I can tell Xorg 1.11.3 that is included in 12.04 now has different ABI versions than even stock Xorg 1.11.3.
    Moreover Ubuntu 12.04 is still in alpha, this means it may (and most probably will) change before release.
    Parallels will support 12.04 when it settles down. This is the joy of non-existent binary compatibility that is typical to Linux world.
    hi serv,

    thx for the answer.
    By the way, why not open source the parallels tools? I can't imagine the code contains anything mission-critical.

    bye,
    Yevgeniy.



  15. #15
    Kilo Poster
    Join Date
    Jan 2011
    Posts
    11

    Default

    hi again,

    consider my problem as solved. I installed Ubuntu 11.10 and parallels tools - works perfectly!

    bye



  16. #16

    Default

    Of course the problem is solved if you use the 11.x versions of Ubuntu. It isn't solved if you use 12.04 beta 1 though. The distribution is now settled out well enough for Parallels programmers to consider including the proper X11 ABI, IMHO.



Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •